/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 13/12/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import  javax.validation.constraints.NotNull;

import  lombok.Getter;
import  lombok.Setter;


@Getter
@Setter
public class RuanganDto {
    
    
    private String kdRuanganHead;
    
	@NotNull(message = "ruangan.namaruangan.notnull")
	private String namaRuangan;

	@NotNull(message = "ruangan.reportdisplay.notnull")
	private String reportDisplay;

	private String noRuangan;

	@NotNull(message = "ruangan.reportdisplay.notnull")
	private String kdDepartemen;

	private String kdPegawaiKepala;

	private String kodeExternal;

	private String namaExternal;

	private Integer kdAlamat;
	
	@NotNull(message = "ruangan.statusenabled.notnull")
	private Boolean statusEnabled;

    

}
